Package com.emc.d2fs.models.getcomments_result

# Class GetCommentsResult

java.lang.Object
com.emc.d2fs.models.getcomments_result.GetCommentsResult

All Implemented Interfaces:
  `Serializable`

public class GetCommentsResult extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="comments" type="{http://www.emc.com/d2fs/models/comment}comment" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="objectName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="canComment" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetCommentsResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Comment>`
  `getComments()`
  Gets the value of the comments property.
  `String`
  `getObjectName()`
  Gets the value of the objectName property.
  `Boolean`
  `isCanComment()`
  Gets the value of the canComment property.
  `void`
  `setCanComment(Boolean value)`
  Sets the value of the canComment property.
  `void`
  `setObjectName(String value)`
  Sets the value of the objectName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetCommentsResult

    public GetCommentsResult()

- ## Method Details

  - ### getComments

    public List<Comment> getComments()
    Gets the value of the comments property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the comments property.

    For example, to add a new item, do as follows:

            getComments().add(newItem);

    Objects of the following type(s) are allowed in the list `Comment`

  - ### getObjectName

    public String getObjectName()
    Gets the value of the objectName property.
    Returns:
      possible object is `String`

  - ### setObjectName

    public void setObjectName(String value)
    Sets the value of the objectName property.
    Parameters:
      `value` - allowed object is `String`

  - ### isCanComment

    public Boolean isCanComment()
    Gets the value of the canComment property.
    Returns:
      possible object is `Boolean`

  - ### setCanComment

    public void setCanComment(Boolean value)
    Sets the value of the canComment property.
    Parameters:
      `value` - allowed object is `Boolean`